'''
    ELLIPSIS
    
    Python has a special value ... (three consecutive periods, that can also be
    written as Ellipsis).
    
    Your task is to write a function expand(L), that takes a list L, where all
    values are either integers or ... , and where ... always is between two
    integers in the list.  The function expand(L) should return the same list
    of integers, except that if ... is between two integers x and y, where
    x < y, then ... should be replaced by the y - x - 1 integers x + 1 to y - 1
    in increasing order.  If x > y, then ... should be replaced by the x - y - 1
    integers x - 1 to y + 1 in decreasing order. If x == y, then ... should
    be removed.

    Input:  A single Python expression using the expand function. It is
            guaranteed that the argument to expand is a list only containing
            integers and ..., and that all ... are between two integers.

    Output: The list of integers generated by executing the expression.
            It is guaranteed that the output contains at most 100 integers.

    Example:

      Input:  expand([1, 5, ..., 8, 7, ..., 4])

      Output: [1, 5, 6, 7, 8, 7, 6, 5, 4]

    Note: The below code already handles reading and executing the input.
'''


def expand(L):
    # insert code
    pass
#> validate input
    assert type(L) == list
    assert all(type(x) == int or x == ... for x in L)
    assert all(0 < i < len(L) - 1 and type(L[i - 1]) == type(L[i + 1]) == int
               for i, x in enumerate(L) if x == ...)
#< validate input
#> solution
    result = []
    for i, v in enumerate(L):
        if v != ...:
            result.append(v)
        elif L[i - 1] <= L[i + 1]:
            result.extend(range(L[i - 1] + 1, L[i + 1]))
        else:
            result.extend(range(L[i - 1] - 1, L[i + 1], -1))
#< solution
#> validate output
    assert type(result) == list
    assert len(result) <= 100
#< validate output
#> solution
    return result
#< solution


print(eval(input()))
